Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.view.freemarker
Interface FreeMarkerConfig

All Known Implementing Classes:
  FreeMarkerConfigurer

    public interface FreeMarkerConfig

Interface to be implemented by objects that configure and manage a FreeMarker Configuration object in a web environment. Detected and used by `FreeMarkerView`.

Since:
  03.03.2004
Author:
  Darren Davison, Rob Harrop
See Also:
  `FreeMarkerConfigurer`, `FreeMarkerView`

Method Summary
`Configuration` | `getConfiguration()` Return the FreeMarker Configuration object for the current web application context.
`TaglibFactory` | `getTaglibFactory()` Returns the `TaglibFactory` used to enable JSP tags to be accessed from FreeMarker templates.

Method Detail

### getConfiguration

    Configuration getConfiguration()

  Return the FreeMarker Configuration object for the current web application context.

  A FreeMarker Configuration object may be used to set FreeMarker properties and shared objects, and allows to retrieve templates.

  Returns:
    the FreeMarker Configuration

### getTaglibFactory

    TaglibFactory getTaglibFactory()

  Returns the `TaglibFactory` used to enable JSP tags to be accessed from FreeMarker templates.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD